Description

Actually when labelling a line dataset is available the parallel, curved or orizzontal.

The curved is smart when labelling a street or a river.

The curved need to defin a maximun angle between character to avoid the verlaps of character.

But when the river or the street is really curved this mean the labeli not put on map.

This could be acceptable for a topographic of panoramic map, but not for a tematic map where the name of rivers need to be

available all, and not some one yes and someone other no.

Also this is more important for a printable map instead of a dynamic zoomable map where the user can increase the zoom and see the

label before absent.

So a good enhancement is give the opzional choice to the user that when choose the "curved" placement it can say

"use the curved placement with these angles", but if is not possible to set a label , please put using the parallel placement."

Infact is surely better to have one label parallel instead of no label.

So the enhancment is to have a curved placement that allow also (opztionally) use the parallel placement when the curved is not possible

for one label.

Just a detail:

I speak to a single object level, so at the end we will have a map where the dataset river has many rivers using label curved and two or

three river with a label placed parallel surely worst than the curved but visible and readable.

Related issues:

Duplicates QGIS Application - Bug report # 2113: curved labels: only a few ar... Open 2011-07-25

History

#1 - 2014-06-30 02:22 AM - Paolo Cavallini

See also #2113 (probably a duplicate)

#2 - 2015-06-16 07:25 PM - Alister Hood

- Subject changed from Enhance the curved placement with an optional parallel placement alternative to Curved labelling should fall back to parallel 

labels for dificult features

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
